$(window).on('load', function () {

  (function() {
    var _addClass, _doc_element, _find, _handleOrientation, _hasClass, _orientation_event, _removeClass, _supports_orientation, _user_agent;

    window.device = {};

    _doc_element = window.document.documentElement;

    _user_agent = window.navigator.userAgent.toLowerCase();

    device.ios = function() {
      return device.iphone() || device.ipod() || device.ipad();
    };

    device.iphone = function() {
      return _find('iphone');
    };

    device.ipod = function() {
      return _find('ipod');
    };

    device.ipad = function() {
      return _find('ipad');
    };

    device.android = function() {
      return _find('android');
    };

    device.androidPhone = function() {
      return device.android() && _find('mobile');
    };

    device.androidTablet = function() {
      return device.android() && !_find('mobile');
    };

    device.blackberry = function() {
      return _find('blackberry') || _find('bb10') || _find('rim');
    };

    device.blackberryPhone = function() {
      return device.blackberry() && !_find('tablet');
    };

    device.blackberryTablet = function() {
      return device.blackberry() && _find('tablet');
    };

    device.windows = function() {
      return _find('windows');
    };

    device.windowsPhone = function() {
      return device.windows() && _find('phone');
    };

    device.windowsTablet = function() {
      return device.windows() && _find('touch');
    };

    device.fxos = function() {
      return _find('(mobile; rv:') || _find('(tablet; rv:');
    };

    device.fxosPhone = function() {
      return device.fxos() && _find('mobile');
    };

    device.fxosTablet = function() {
      return device.fxos() && _find('tablet');
    };

    device.mobile = function() {
      return device.androidPhone() || device.iphone() || device.ipod() || device.windowsPhone() || device.blackberryPhone() || device.fxosPhone();
    };

    device.tablet = function() {
      return device.ipad() || device.androidTablet() || device.blackberryTablet() || device.windowsTablet() || device.fxosTablet();
    };

    device.portrait = function() {
      return Math.abs(window.orientation) !== 90;
    };

    device.landscape = function() {
      return Math.abs(window.orientation) === 90;
    };

    _find = function(needle) {
      return _user_agent.indexOf(needle) !== -1;
    };

    _hasClass = function(class_name) {
      var regex;
      regex = new RegExp(class_name, 'i');
      return _doc_element.className.match(regex);
    };

    _addClass = function(class_name) {
      if (!_hasClass(class_name)) {
        return _doc_element.className += " " + class_name;
      }
    };

    _removeClass = function(class_name) {
      if (_hasClass(class_name)) {
        return _doc_element.className = _doc_element.className.replace(class_name, "");
      }
    };

    if (device.ios()) {
      if (device.ipad()) {
        _addClass("ios ipad tablet");
      } else if (device.iphone()) {
        _addClass("ios iphone mobile");
      } else if (device.ipod()) {
        _addClass("ios ipod mobile");
      }
    } else if (device.android()) {
      if (device.androidTablet()) {
        _addClass("android tablet");
      } else {
        _addClass("android mobile");
      }
    } else if (device.blackberry()) {
      if (device.blackberryTablet()) {
        _addClass("blackberry tablet");
      } else {
        _addClass("blackberry mobile");
      }
    } else if (device.windows()) {
      if (device.windowsTablet()) {
        _addClass("windows tablet");
      } else if (device.windowsPhone()) {
        _addClass("windows mobile");
      } else {
        _addClass("desktop");
      }
    } else if (device.fxos()) {
      if (device.fxosTablet()) {
        _addClass("fxos tablet");
      } else {
        _addClass("fxos mobile");
      }
    } else {
      _addClass("desktop");
    }

    _handleOrientation = function() {
      if (device.landscape()) {
        _removeClass("portrait");
        return _addClass("landscape");
      } else {
        _removeClass("landscape");
        return _addClass("portrait");
      }
    };

    _supports_orientation = "onorientationchange" in window;

    _orientation_event = _supports_orientation ? "orientationchange" : "resize";

    if (window.addEventListener) {
      window.addEventListener(_orientation_event, _handleOrientation, false);
    } else if (window.attachEvent) {
      window.attachEvent(_orientation_event, _handleOrientation);
    } else {
      window[_orientation_event] = _handleOrientation;
    }

    _handleOrientation();

  }).call(this);

  setTimeout(function(){
      $('.dashboard > .left .daily-percent .percent .value').css('color', 'rgba(58,58,255,1)');
      $('.dashboard > .left .daily-percent .percent .info span:first-child').css('color', 'rgba(58,58,255,1)');
    }, 100);
  });

// ///////////////////////////////////////////////////////////////////
// ///////////////////////////////////////////////////////////////////

if($('.icon-svg').get(0) != undefined) {

  $('.icon-svg').each(function(){
    var $img = $(this);
    var imgClass = $img.attr('class');
    var imgURL = $img.attr('src');
    $.get(imgURL, function(data) {
      var $svg = $(data).find('svg');
      if(typeof imgClass !== 'undefined') {
        $svg = $svg.attr('class', imgClass+' edit_svg');
      }
      $svg = $svg.removeAttr('xmlns:a');
      if(!$svg.attr('viewBox') && $svg.attr('height') && $svg.attr('width')) {
        $svg.attr('viewBox', '0 0 ' + $svg.attr('height') + ' ' + $svg.attr('width'))
      }
      $img.replaceWith($svg);
    }, 'xml');
  });
};

// ///////////////////////////////////////////////////////////////////
// ///////////////////////////////////////////////////////////////////

$(window).on('load', function () {

  var timeout_resize = null;
  $(window).on('resize', function(){

      if($(document).width() > 1023) {
        $('body').removeClass('mobile');

        // if($('.dashboard').get(0) != undefined) {
          clearTimeout(timeout_resize);
          timeout_resize = setTimeout(function(){
            // padding_dashboard();
            responseMenu();
            if($('.cabinet').get(0) != undefined) {
              margin_content();
            };
            // aside();

            // if($('.scrollbar').get(0) != undefined) {
            //       $(".dashboard .scrollbar").mCustomScrollbar({
            //         axis: "y",
            //         alwaysShowScrollbar: 1,
            //         scrollbarPosition: "outside",mouseWheel:{
            //           enable:true,
            //           scrollAmount:25
            //         },
            //         scrollInertia: 100
            //       });
            // };
          }, 100);
        // };
      }

      else {
        $('body').addClass('mobile');

        // if($('.dashboard').get(0) != undefined) {
          clearTimeout(timeout_resize);
          timeout_resize = setTimeout(function(){
            responseMenu();
            if($('.cabinet').get(0) != undefined) {
              margin_content();
            };
            // faq__description_clamp();
            // $('.dashboard .scrollbar').mCustomScrollbar('destroy');
          }, 100);
        // };
      }

  }).trigger('resize');
});


$(window).on('load', function () {
  setTimeout(function(){
    if($(document).width() > 1023) {
      $('body').removeClass('mobile');
      if($('.cabinet').get(0) != undefined) {
        margin_content();
      };

      // if($('.scrollbar').get(0) != undefined) {
      //   $(".dashboard .scrollbar").mCustomScrollbar({
      //     axis: "y",
      //     alwaysShowScrollbar: 1,
      //     scrollbarPosition: "outside",mouseWheel:{
      //       enable:true,
      //       scrollAmount:25
      //     },
      //     scrollInertia: 100
      //   });
      // };
    }

    else {
      $('body').addClass('mobile');
      // faq__description_clamp();
      // $('.dashboard .scrollbar').mCustomScrollbar('destroy');
    }
  }, 100);
});

// $(window).on('load', function () {
//   $('.header').find('.menu__btn').on('click', function () {
//     $('body').toggleClass('open-menu');
//     $('.header .menu .content').slideToggle(300);

//     if ($('body').hasClass('open-menu')) {
//       $('.header .menu .content').css('display', 'inherit');
//     }
//   });

//   $(document).on('click', function(event){
//     if( $(event.target).closest('.mobile .header').length )
//     return;
//       $('body.mobile').removeClass('open-menu');
//       $('.mobile .header .menu .content').slideUp(300);
//     event.stopPropagation();
//   });

//   setTimeout(function(){
//     if($('.bg-aside').get(0) != undefined) {
//       var main = $('.dashboard').outerWidth();
//       wrapper = $('.dashboard .wrapper').outerWidth();
//       delta = (main - wrapper)/2;
//       delta = delta+20;

//       $('.bg-aside').css('width','calc(100% + '+delta+'px)');
//       $('.bg-aside').css('margin-left','-'+delta+'px');
//       var aside = $('.bg-aside').outerWidth();
//       $('.aside-menu').css('width',aside+'px');
//       $('.aside-menu').css('margin-left','-'+delta+'px');
//     };
//   }, 500);
// });

// function padding_dashboard() {
//   setTimeout(function(){
//     var header = $('.header').outerHeight();
//     $('.dashboard').css('padding-top', header );
//     $('.bg-aside').css('margin-top', '-'+header+'px' );
//     $('.bg-aside').css('height', 'calc(100% + '+header+'px)' );
//   }, 100);
// }

// function aside() {
//   setTimeout(function(){
//     if($('.bg-aside').get(0) != undefined) {
//       var main = $('.dashboard').outerWidth();
//       wrapper = $('.dashboard .wrapper').outerWidth();
//       delta = (main - wrapper)/2;
//       delta = delta+20;

//       $('.bg-aside').css('width','calc(100% + '+delta+'px)');
//       $('.bg-aside').css('margin-left','-'+delta+'px');
//       var aside = $('.bg-aside').outerWidth();
//       $('.aside-menu').css('width',aside+'px');
//       $('.aside-menu').css('margin-left','-'+delta+'px');
//     };
//   }, 100);
// }

// /////////////////////////////////////////////////////////////////

function responseMenu(){
  $('.fade-out').appendTo('.header .menu');
  var items = $('.fade-out');
  var max_width = $('.header .wrapper').width() - $('.logo').outerWidth() - $('.header__btn').outerWidth() - $('.header__more').outerWidth();
  var width = 0;
  var hide_from = 0;

  items.each(function(index){
    if (width + $(this).outerWidth() > max_width)
    {
      return false;
    }
    else
    {
      hide_from = index;
      width += $(this).outerWidth();
    }
  });
  if (hide_from < items.length - 1) {
    items.eq(hide_from).nextAll('.fade-out').appendTo('.dropdown-menu__into');
    $('.header__more').show();
  }
  else
  {
    $('.header__more').hide();
  }
}

$(window).on('load', function () {
  if($('.dropdown-toggle').get(0) != undefined) {
    setTimeout(function(){

      $('.dropdown-toggle').click(function () {

        if ($(this).closest('.header__more').hasClass('active')) {
          $('body').removeClass('open-menu');
          $(this).closest('.header__more').find('.dropdown-menu').slideUp(300);
          $(this).closest('.header__more').removeClass('active');
        }

        else {
          $('body').addClass('open-menu');
          $(this).closest('.header__more').addClass('active');
          $(this).closest('.header__more').find('.dropdown-menu').slideDown(300);
        }
      });

      $(document).click( function(event){
        if( $(event.target).closest('.header__more').length )
        return;

        $('.header__more').find('.dropdown-menu').slideUp(300);
        $('.header__more').removeClass('active');
        $('body').removeClass('open-menu');
        event.stopPropagation();
      });
    }, 100);
  };
});

// /////////////////////////////////////////////////////////////////
// cabinet

function margin_content() {
  setTimeout(function(){
    var margin = $('.cabinet .header').outerHeight();
    var left_aside = $('.cabinet .left-aside').outerWidth();
    var right_aside = $('.cabinet .right-aside').outerWidth();
    var body = $('.cabinet section .wrapper').outerWidth();
    var width_content = Number(body - left_aside - right_aside - 87);
    $('.cabinet .content:not(.table-show)').css('margin-top', margin - 10 + 'px');
    $('.cabinet .right-aside').css('margin-top', margin - 10 + 'px');
    $('.cabinet .header__content').css('padding-left', left_aside + 25 + 'px');
    $('.cabinet .content:not(.table-show)').css('width', width_content + 'px');
  }, 100);
}

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// var canvas = document.getElementsById('gradient-canvas-header');
// canvas.width = window.innerWidth;
// canvas.height = window.innerHeight;

$(window).on('load', function () {
  if($('.gradient-canvas').get(0) != undefined) {
    setTimeout(function(){
      ((Gradient.amp = 200), document.getElementById("gradient-canvas-header")) && new Gradient().initGradient("#gradient-canvas-header");
      document.getElementById("gradient-canvas-cta") && new Gradient().initGradient("#gradient-canvas-cta");
      document.getElementById("gradient-canvas-form") && new Gradient().initGradient("#gradient-canvas-form");
      document.getElementById("gradient-canvas-scroll") && new Gradient().initGradient("#gradient-canvas-scroll");
      document.getElementById("gradient-canvas-cloud") && new Gradient().initGradient("#gradient-canvas-cloud");
      document.getElementById("gradient-canvas-stafflink") && new Gradient().initGradient("#gradient-canvas-stafflink");
    }, 100);
  };
});


// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.your-deposit .drop-down').get(0) != undefined) {

  $('.your-deposit .drop-down').find('>.result>span').click(function () {

    if ($(this).closest('.drop-down').hasClass('open')) {
      $(this).closest('.drop-down').find('>ul').slideUp(300);
      $(this).closest('.drop-down').removeClass('open');
    }

    else {
      $(this).closest('.drop-down').addClass('open');
      $(this).closest('.drop-down').find('>ul').slideDown(300);

      $('.your-deposit .drop-down.open li').hover(function () {
        $('.your-deposit .drop-down.open li').removeClass('hover');
        $(this).addClass('hover');

        // var html = document.querySelector('.your-deposit .drop-down li.hover').innerHTML;
        var html = document.querySelector('.your-deposit .drop-down li.hover>span').innerHTML;
        // var p_small = document.querySelector('.your-deposit .drop-down li.hover>p');
        // var withoutP_small = $(p_small).text();
        // var newString_small = withoutP_small.replace(/\s+/g,' ').trim();

        $(this).click(function () {
          // document.querySelector('.your-deposit .drop-down>.result').innerHTML = html;
          document.querySelector('.your-deposit .drop-down>.result>span').innerHTML = html;
          // document.querySelector('.your-deposit .profit>p').innerHTML = newString_small;
          $('.your-deposit .drop-down li').removeClass('hover');
          $(this).closest('.drop-down').removeClass('open');
          $(this).closest('.drop-down').find('>ul').slideUp(300);
        });
      });
    }
  });

  $(document).click( function(event){
    if( $(event.target).closest('.your-deposit .result>span, .your-deposit .drop-down ul').length )
    return;

      $('.your-deposit .drop-down').find('>ul').slideUp(300);
      $('.your-deposit .drop-down').removeClass('open');
    event.stopPropagation();
  });

};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.faq').get(0) != undefined) {

  $('.faq').find('nav li').click(function () {
    // if($(this).hasClass('active')) return false;
    $('nav li').removeClass('active');
    $(this).addClass('active');
    var index = $(this).index();

    if($(this).hasClass('active')) {
      $('.faq__content .tab').fadeOut(0);
      $('.faq__content .tab').removeClass('active');
      $('.faq__content .tab:eq('+index+')').fadeIn(300);
      $('.faq__content .tab:eq('+index+')').addClass('active');
      $('.faq__content .tab:eq('+index+')').css('display', 'flex');
    };
  });

  // ///////////////////////////////////////////////////////////////////

  $('.faq').find('.item__header').click(function () {
    if ($(this).closest('.item').hasClass('active')) {
      $(this).closest('.faq .item').find('.item__description').slideUp(300);
      $(this).closest('.faq .item').removeClass('active');
    }

    else {
      $('.faq .item').find('.item__description').slideUp(300);
      $('.faq .item').removeClass('active');
      $(this).closest('.faq .item').addClass('active');
      $(this).closest('.faq .item').find('.item__description').slideDown(300);
    }
  });

  $(document).click( function(event){
    if( $(event.target).closest('.faq .item').length )
    return;

    $('.faq .item').find('.item__description').slideUp(300);
    $('.faq .item').removeClass('active');
    event.stopPropagation();
  });
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////


// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

// cabinet

if($('.show-popup').get(0) != undefined) {
  $('.show-popup').click(function () {

    $('.popup').fadeIn(300);
    $('.popup').css('display', 'flex');
    setTimeout(function(){
    var height_popup = $('.popup').outerHeight();
    var height_content = $('.popup__content').outerHeight();
      if (height_popup >= height_content) {
        $('.popup').css('align-items', 'center');
        $('html').removeClass('load-page');
        $('.popup').css('overflow-x', 'hidden');

        // $('.popup').css('align-items', 'flex-start');
        // $('.popup__content').css('margin', '80px 0 0');
        // $('.content:not(.table-show)').css('display', 'none');
      }

      else {
        $('.popup').css('align-items', 'flex-start');
        $('html').removeClass('load-page');
        $('.popup').css('overflow-x', 'hidden');
        $('.popup').css('overflow-y', 'auto');
      }
    }, 100);



  });

  $('.popup__close, .btn-close').click(function () {
    $('.popup').fadeOut(300);
    $('html').addClass('load-page');
    $('.content:not(.table-show)').css('display', 'block');
    // $('.content:not(.table-show)').css('display', 'block');
  });

  $(document).click( function(event){
    if( $(event.target).closest('.show-popup, .popup__content').length )
    return;

    $('.popup').fadeOut(300);
    $('html').addClass('load-page');
    $('.content:not(.table-show)').css('display', 'block');
    event.stopPropagation();
  });
};

// /////////////////////////////////////////////////////////////////

if($('.item-notice').get(0) != undefined) {
  $('.item-notice .item-notice__close').click(function () {
    $(this).closest('.item-notice').fadeOut(300);
  });
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.select-input').get(0) != undefined) {

  $('.select-input .drop-down').find('>.result').click(function () {

    if ($(this).closest('.drop-down').hasClass('open')) {
      $(this).closest('.drop-down').find('>ul').slideUp(300);
      $(this).closest('.drop-down').removeClass('open');
    }

    else {
      $(this).closest('.drop-down').addClass('open');
      $(this).closest('.drop-down').find('>ul').slideDown(300);

      $('.select-input .drop-down.open li').hover(function () {
        $('.select-input .drop-down.open li').removeClass('hover');
        $(this).addClass('hover');

        var html = document.querySelector('.select-input .drop-down li.hover>p').innerHTML;

        $(this).click(function () {
          document.querySelector('.select-input .drop-down>.result>p').innerHTML = html;
          $('.select-input .drop-down li').removeClass('hover');
          $(this).closest('.drop-down').removeClass('open');
          $(this).closest('.drop-down').find('>ul').slideUp(300);
        });
      });
    }
  });

  $(document).click( function(event){
    if( $(event.target).closest('.select-input .result, .select-input .drop-down ul').length )
    return;

      $('.select-input .drop-down').find('>ul').slideUp(300);
      $('.select-input .drop-down').removeClass('open');
    event.stopPropagation();
  });

};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.my-team__item').get(0) != undefined) {
  $('.my-team__content').find('.my-team__item .show-popup').click(function () {
    // if($(this).hasClass('active')) return false;
    $('.my-team__item').removeClass('active');
    $(this).closest('.my-team__item').addClass('active');
    var index = $(this).closest('.my-team__item').index();
      // console.log('index: ' +index);


    if($(this).closest('.my-team__item').hasClass('active')) {
      $('.table-show.content').fadeOut(0);
      $('.table-show.content').removeClass('active');
      $('.table-show.content:eq('+index+')').fadeIn(300);
      $('.table-show.content:eq('+index+')').addClass('active');
      $('.table-show.content:eq('+index+')').css('display', 'flex');
    };
  });
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.currency .drop-down').get(0) != undefined) {

  $('.currency .drop-down').find('>.result').click(function () {

    if ($(this).closest('.drop-down').hasClass('open')) {
      $(this).closest('.drop-down').find('>ul').slideUp(300);
      $(this).closest('.drop-down').removeClass('open');
    }

    else {
      $(this).closest('.drop-down').addClass('open');
      $(this).closest('.drop-down').find('>ul').slideDown(300);

      $('.currency .drop-down.open li').hover(function () {
        $('.currency .drop-down.open li').removeClass('hover');
        $(this).addClass('hover');

        var html = document.querySelector('.currency .drop-down li.hover').innerHTML;
        var coin_name = document.querySelector('.currency .drop-down li.hover .coin-name').innerHTML;
        var coin_abbreviation = document.querySelector('.currency .drop-down li.hover .coin-abbreviation').innerHTML;
        var coin_rates = document.querySelector('.currency .drop-down li.hover .coin-rates').innerHTML;
        var coin_min = document.querySelector('.currency .drop-down li.hover .coin-min').innerHTML;
        var coin_max = document.querySelector('.currency .drop-down li.hover .coin-max').innerHTML;
        var coin_commission = document.querySelector('.currency .drop-down li.hover .coin-commission').innerHTML;
        if($('.timer').get(0) != undefined) {
          var coin_timer = document.querySelector('.timer').innerHTML;
        };

        $(this).click(function () {
          if($('.currency .drop-down>.result').get(0) != undefined) {
            document.querySelector('.currency .drop-down>.result').innerHTML = html;
          };
          if($('.description-coin .coin-rates>span').get(0) != undefined) {
            document.querySelector('.description-coin .coin-rates>span').innerHTML = coin_rates;
          };
          if($('.description-coin .coin-rates>p span').get(0) != undefined) {
            document.querySelector('.description-coin .coin-rates>p span').innerHTML = coin_abbreviation;
          };
          if($('.description-coin .coin-min>span').get(0) != undefined) {
            document.querySelector('.description-coin .coin-min>span').innerHTML = coin_min;
          };
          if($('.description-coin .coin-min>sub').get(0) != undefined) {
            document.querySelector('.description-coin .coin-min>sub').innerHTML = coin_abbreviation;
          };
          if($('.description-coin .coin-max>span').get(0) != undefined) {
            document.querySelector('.description-coin .coin-max>span').innerHTML = coin_max;
          };
          if($('.description-coin .coin-max>sub').get(0) != undefined) {
            document.querySelector('.description-coin .coin-max>sub').innerHTML = coin_abbreviation;
          };
          if($('.sum-deposit__description .coin-commission').get(0) != undefined) {
            document.querySelector('.sum-deposit__description .coin-commission').innerHTML = coin_commission;
          };
          if($('.sum-deposit__description .coin-abbreviation').get(0) != undefined) {
            document.querySelector('.sum-deposit__description .coin-abbreviation').innerHTML = coin_abbreviation;
          };
          if($('.sum-deposit__description .coin-name').get(0) != undefined) {
            document.querySelector('.sum-deposit__description .coin-name').innerHTML = coin_name;
          };
          if($('.input-deposit>p').get(0) != undefined) {
            document.querySelector('.input-deposit>p').innerHTML = coin_abbreviation;
          };
          if($('.input-deposit>input').get(0) != undefined) {
            document.querySelector('.input-deposit>input').value = coin_min;
          };

          $('.currency .drop-down li').removeClass('hover');
          $(this).closest('.drop-down').removeClass('open');
          $(this).closest('.drop-down').find('>ul').slideUp(300);
          // document.querySelector('.popup-timer .timer').innerHTML = '01:00:00';
          // clearInterval(timer);
          if($('.timer').get(0) != undefined) {
            if(coin_timer != '04:00:00') {
              document.querySelector('.popup-timer .timer').innerHTML = '04:00:00';
              clearInterval(timer);
            };
          };
          $('.create-deposit .btn.show-popup').addClass('start-timer');
        });
      });
    }
  });

  $(document).click( function(event){
    if( $(event.target).closest('.currency .result, .currency .drop-down ul').length )
    return;

      $('.currency .drop-down').find('>ul').slideUp(300);
      $('.currency .drop-down').removeClass('open');
    event.stopPropagation();
  });

};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.popup-info').get(0) != undefined) {
  var timeout_coin = 0;

  $('.popup-info').hover(
    function() {
      if (timeout_coin != undefined) clearTimeout(timeout_coin);
      $('.popup-info__text').fadeIn(300);

    },
    function() {
      timeout_coin = setTimeout(function() {
        $('.popup-info__text').fadeOut(300);
      }, 300 );
    }
  );
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.popup-create-deposit').get(0) != undefined) {

  let timerShow = document.querySelector(".timer"); // Берём блок для показа времени

  $('.show-popup').on('click', function() {
  	if ($(this).hasClass('start-timer')) {
      //$('.start-timer').removeClass('start-timer');
      //var timeMinut = 3599;
      var timeMinut = 14399;

      min = document.querySelector('.description-coin .coin-min span').innerHTML.trim();
      min = Math.floor(min-0);
      //min = min.toFixed(8);
      setmin = document.querySelector('.sum-deposit .input-deposit input').value.trim();
      //setmin = Math.floor(setmin-0);
      //setmin = setmin.toFixed(8);
      valuta = document.querySelector('.sum-deposit .input-deposit p').innerHTML.trim();
      document.getElementById('f_amount').value = setmin;

      //console.log(setmin);
      //console.log(min);
      if (setmin<min) {      document.getElementById('err_mess').innerHTML = 'minimum amount '+min+' '+valuta+'';
      } else {      document.getElementById('err_mess').innerHTML = '';
      }

ajax.post({
"form":document.getElementById('f_dep'),
"url":"/deposit",
"el_err":'err_mess',
"action":function(arr) {if (arr['wallet']) {document.getElementById('wallet_text').innerHTML = arr['wallet'];
//document.getElementById('wallet_pic').src = 'https://chart.googleapis.com/chart?chs=175x175&cht=qr&chl='+arr['wallet']+'';
document.getElementById('wallet_pic').src = 'https://api.qrserver.com/v1/create-qr-code/?data='+arr['wallet']+'&size=175x175&ecc=M';
document.getElementById('deppid').value = arr['deppid'];
return true;
}
return false;
}
});



      timer = setInterval(function () {
      if (document.querySelector('.popup-create-deposit').style.display == 'none') {      clearInterval(timer);
      //$('.start-timer').removeClass('start-timer');
      }

        var seconds = timeMinut%60 // Получаем секунды
        var minutes = timeMinut/60%60 // Получаем минуты
        var hour = timeMinut/60/60%60 // Получаем часы
        // Условие если время закончилось то...
        if (timeMinut <0) {
          // Таймер удаляется
          clearInterval(timer);
          // Выводит сообщение что время закончилось
          // alert("Время закончилось");
          $('.popup__form .btn.gradient').addClass('disable');
        } else { // Иначе
          // Создаём строку с выводом времени
          // let strTimer = `${Math.trunc(hour)}:${Math.trunc(minutes)}:${seconds}`;
          // timerShow.innerHTML = strTimer;

          if (hour<10) {
            if (minutes<10) {
              if (seconds<10) {
                let strTimer = `0${Math.trunc(hour)}:0${Math.trunc(minutes)}:0${seconds}`;
                timerShow.innerHTML = strTimer;
              }
            }

            else {
              if (seconds<10) {
                let strTimer = `0${Math.trunc(hour)}:${Math.trunc(minutes)}:0${seconds}`;
                timerShow.innerHTML = strTimer;
              }

              else {
                let strTimer = `0${Math.trunc(hour)}:${Math.trunc(minutes)}:${seconds}`;
                timerShow.innerHTML = strTimer;
              }
            }
          }

          else {
            if (minutes<10) {
              if (seconds<10) {
                let strTimer = `${Math.trunc(hour)}:0${Math.trunc(minutes)}:0${seconds}`;
                timerShow.innerHTML = strTimer;
              }

              else {
                let strTimer = `${Math.trunc(hour)}:0${Math.trunc(minutes)}:${seconds}`;
                timerShow.innerHTML = strTimer;
              }
            }

            else {
              if (seconds<10) {
                let strTimer = `${Math.trunc(hour)}:${Math.trunc(minutes)}:0${seconds}`;
                timerShow.innerHTML = strTimer;
              }

              else {
                let strTimer = `${Math.trunc(hour)}:${Math.trunc(minutes)}:${seconds}`;
                timerShow.innerHTML = strTimer;
              }
            }
          }

          // let strTimer = `${Math.trunc(hour)}:${Math.trunc(minutes)}:${seconds}`;
          // let strTimer = `${Math.trunc(minutes)}:${seconds}`;
          // Выводим строку в блок для показа таймера
          // timerShow.innerHTML = strTimer;
        }
        --timeMinut; // Уменьшаем таймер
      }, 1000)
    }

    var currentDate = new Date().getUTCDate(); // получаем текущий день
    var currentMonth = new Date().getUTCMonth()+1; // получаем текущий месяц
    var currentYear = new Date().getUTCFullYear(); // получаем текущий год
    var currentHours = new Date().getHours();
    var currentMinutes = new Date().getMinutes();

    if (currentDate<10) {currentDate = '0'+currentDate;}
    if (currentMonth<10) {currentMonth = '0'+currentMonth;}

    if($('.input-deposit input').get(0) != undefined) {
      var sum_deposit = $('.input-deposit input').val();
    };
    if($('.input-deposit>p').get(0) != undefined) {
      var coin_abbreviation = document.querySelector('.input-deposit>p').innerHTML;
    };
    if($('.currency .drop-down>.result>span').get(0) != undefined) {
      var coin_name = document.querySelector('.currency .drop-down>.result>span').innerHTML;
    };

    if($('.crypto-address__input>p>span').get(0) != undefined) {
      document.querySelector('.crypto-address__input>p>span').innerHTML = coin_name;
    };
    if($('.payment-status>span').get(0) != undefined) {
      document.querySelector('.payment-status>span').innerHTML = coin_name;
    };
    if($('.form__description .info-deposit__date:not(.info-deposit__time)>span').get(0) != undefined) {
      document.querySelector('.form__description .info-deposit__date>span').innerHTML = currentDate+'/'+currentMonth+'/'+currentYear;
    };
    if($('.form__description .info-deposit__date.info-deposit__time>span').get(0) != undefined) {
      document.querySelector('.form__description .info-deposit__date.info-deposit__time>span').innerHTML = currentDate+'/'+currentMonth+'/'+currentYear+' '+currentHours+':'+currentMinutes;
    };
    if($('.form__description .info-deposit__sum>span').get(0) != undefined) {
      document.querySelector('.form__description .info-deposit__sum>span').innerHTML = sum_deposit+'<sub>'+coin_abbreviation+'</sub>';
    };
  })
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.message-filter').get(0) != undefined) {

  const filterBox = document.querySelectorAll('.table .line:not(:first-child)');
  const list = document.querySelector('.message-filter ul');

  ['click'].forEach(type => list.addEventListener(type, (event) => {
    if (event.target.tagName !== 'LI') {
      return false;
    }

    const points = document.querySelectorAll('.message-filter li');

    for (let point of points) {
      point.classList.remove('active');
    }

    event.target.classList.add('active');

    let filterData = event.target.dataset.filter;

    let check = filterData;

    filterBox.forEach(elem => {

      if (elem.dataset.filter == check || filterData == "all") {
        elem.classList.remove('hide');
      } else {
        elem.classList.add('hide');
      }
    });
  }));
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.html-code__text').get(0) != undefined) {

  $('.html-code').hover(function () {
    $('.html-code').removeClass('hover');
    $(this).addClass('hover');

    document.querySelector(".html-code.hover .btn.gradient").onclick = function() {
      var copyTextarea = document.createElement("textarea");
      copyTextarea.textContent = document.querySelector(".html-code.hover .html-code__text").innerText;

      setTimeout(function(){
        document.body.appendChild(copyTextarea);
        copyTextarea.select();
        document.execCommand("copy");
        document.body.removeChild(copyTextarea);
      }, 100);
    }
  });
};

// /////////////////////////////////////////////////////////////////

if($('.referral-link').get(0) != undefined) {
  document.querySelector(".referral-link .btn-copy").onclick = function() {
    var copyTextarea = document.createElement("textarea");
    copyTextarea.textContent = document.querySelector(".referral-link>span").innerText;

    setTimeout(function(){
      document.body.appendChild(copyTextarea);
      copyTextarea.select();
      document.execCommand("copy");
      document.body.removeChild(copyTextarea);
    }, 100);
  }
};

// /////////////////////////////////////////////////////////////////

if($('.cabinet-creat-deposit').get(0) != undefined) {
  document.querySelector(".crypto-address .btn.gradient").onclick = function() {
    var copyTextarea = document.createElement("textarea");
    copyTextarea.textContent = document.querySelector(".crypto-address__input>span").innerText;

    setTimeout(function(){
      document.body.appendChild(copyTextarea);
      copyTextarea.select();
      document.execCommand("copy");
      document.body.removeChild(copyTextarea);
    }, 100);
  }
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.payment input[type="radio"]').get(0) != undefined) {
  $('.payment .checkbox').click(function () {
    $('.payment .checkbox').removeClass('active');
    $(this).addClass('active');
    var text = document.querySelector('.payment .checkbox.active>p').innerText;
    if (text == 'Сделать реинвест с баланса') {
      $(".create-deposit .btn.gradient.show-popup").fadeOut(0);
      $(".create-deposit .btn.gradient.simple-link").fadeIn(0);
      $(".create-deposit .btn.gradient.simple-link").css('display','flex');
    }

    else {
      $(".create-deposit .btn.gradient.simple-link").fadeOut(0);
      $(".create-deposit .btn.gradient.show-popup").fadeIn(0);
      $(".create-deposit .btn.gradient.show-popup").css('display','flex');
    }
  });
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.cabinet-menu').get(0) != undefined) {
  setTimeout(function(){

    $('.cabinet-menu').click(function () {

      if ($(this).hasClass('active')) {
        $('body').removeClass('open-menu');
        $(this).removeClass('active');
      }

      else {
        $('body').addClass('open-menu');
        $(this).addClass('active');
      }
    });

    $(document).click( function(event){
      if( $(event.target).closest('.cabinet-menu, .left-aside').length )
      return;

      $('.cabinet-menu').removeClass('active');
      $('body').removeClass('open-menu');
      event.stopPropagation();
    });
  }, 100);
};

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

if($('.btn-show-news').get(0) != undefined) {
  setTimeout(function(){

    $('.btn-show-news').click(function () {

      if ($(this).hasClass('active')) {
        $('body').removeClass('open-news');
        $(this).removeClass('active');
      }

      else {
        $('body').addClass('open-news');
        $(this).addClass('active');
      }
    });

    $(document).click( function(event){
      if( $(event.target).closest('.btn-show-news, .left-aside').length )
      return;

      $('.btn-show-news').removeClass('active');
      $('body').removeClass('open-news');
      event.stopPropagation();
    });
  }, 100);
};


// document.getElementById("copy").onclick = function() {
//   var copyTextarea = document.createElement("textarea");
//   copyTextarea.style.position = "fixed";
//   copyTextarea.style.opacity = "0";
//   copyTextarea.textContent = document.querySelector(".crypto-address__input>span").innerHTML;

//   document.body.appendChild(copyTextarea);
//   copyTextarea.select();
//   document.execCommand("copy");
//   document.body.removeChild(copyTextarea);
// }


// <div id="content">Write something here...</div>
// <button id="copy" title="Copy Textarea Content">Copy</button>
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////

  // window.onload = function() { // дожидаемся загрузки страницы
  //   initializeTimer(); // вызываем функцию инициализации таймера
  // }


    function initializeTimer() {
        var endDate = new Date(2023,9,31,8,31); // получаем дату истечения таймера
        var currentDate = new Date(); // получаем текущую дату
        var seconds = (endDate-currentDate) / 1000; // определяем количество секунд до истечения таймера
        if (seconds > 0) { // проверка - истекла ли дата обратного отсчета
            var minutes = seconds/60; // определяем количество минут до истечения таймера
            var hours = minutes/60; // определяем количество часов до истечения таймера
            minutes = (hours - Math.floor(hours)) * 60; // подсчитываем кол-во оставшихся минут в текущем часе
            hours = Math.floor(hours); // целое количество часов до истечения таймера
            seconds = Math.floor((minutes - Math.floor(minutes)) * 60); // подсчитываем кол-во оставшихся секунд в текущей минуте
            minutes = Math.floor(minutes); // округляем до целого кол-во оставшихся минут в текущем часе

            setTimePage(hours,minutes,seconds); // выставляем начальные значения таймера

            function secOut() {
                if (seconds == 0) { // если секунду закончились то
                    if (minutes == 0) { // если минуты закончились то
                        if (hours == 0) { // если часы закончились то
                            showMessage(timerId); // выводим сообщение об окончании отсчета
                        }
                        else {
                            hours--; // уменьшаем кол-во часов
                            minutes = 59; // обновляем минуты
                            seconds = 59; // обновляем секунды
                        }
                    }
                    else {
                        minutes--; // уменьшаем кол-во минут
                        seconds = 59; // обновляем секунды
                    }
                }
                else {
                    seconds--; // уменьшаем кол-во секунд
                }
                setTimePage(hours,minutes,seconds); // обновляем значения таймера на странице
            }
            timerId = setInterval(secOut, 1000) // устанавливаем вызов функции через каждую секунду
        }
        else {
            alert("Установленная дата уже прошла");
        }
    }

    function setTimePage(h,m,s) { // функция выставления таймера на странице
        var element = document.getElementById("timer"); // находим элемент с id = timer
        element.innerHTML = "Часы:"+h+"<br>Минуты:"+m+"<br>Секунды:"+s; // выставляем новые значения таймеру на странице
    }

    function showMessage(timerId) { // функция, вызываемая по истечению времени
        alert("Время истекло!");
        clearInterval(timerId); // останавливаем вызов функции через каждую секунду
    }

    // <div id="timer"></div>

// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////



// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////////
